This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 632567

Summary: qemu-kvm crashes running RHEL6-beta vm
Product: [Fedora] Fedora Reporter: Jeff Weiss <jweiss>
Component: kvmAssignee: Orphan Owner <extras-orphan>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 13CC: berrange, clalance, dajohnso, ehabkost, extras-orphan, markmc, quintela, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-28 09:04:54 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
virt-manager config file for vm none

Description Jeff Weiss 2010-09-10 08:45:30 EDT
Created attachment 446503 [details]
virt-manager config file for vm

Description of problem:
I am running a RHEL6-beta x86-64 vm on Fedora 13, it repeatedly crashes kvm.  It seems to crash only when I am connected to the VNC server of the vm (one that I started, not qemu's builtin vnc console), never when I'm just using the command line (say, via ssh).  There is a dump file produced, but I think abrt deletes it because it's too big.  It's too big to attach here anyway.  Let me know what other debug info I can provide.

Version-Release number of selected component (if applicable):
[jweiss@jweiss ~(master)]$ rpm -q qemu-kvm
qemu-kvm-0.11.0-13.fc12.x86_64


How reproducible:
pretty easily, for me, happens every day.

Steps to Reproduce:
1. Start rhel6 beta vm
2. Start vncserver within vm
3. Connect to vnc using vncviewer from another host
4. Open gnome-terminal, use bash completion of filenames, tends to crash while doing tab completion.
  
Actual results:


Expected results:


Additional info:
From /var/log/messages:

Sep 10 08:31:13 jweiss kernel: qemu-kvm[26350]: segfault at 2b0f9dd750 ip 0000003a02681b20 sp 00007fff8a5be8f8 error 4 in libc-2.11.2.so[3a02600000+170000]
Sep 10 08:31:31 jweiss abrt[7032]: saved core dump of pid 26350 (/usr/bin/qemu-kvm) to /var/spool/abrt/ccpp-1284121873-26350.new/coredump (1170034688 bytes)
Sep 10 08:31:31 jweiss abrtd: Directory 'ccpp-1284121873-26350' creation detected
Sep 10 08:31:31 jweiss abrtd: Size of '/var/spool/abrt' >= 1000 MB, deleting 'ccpp-1284034813-29674'
Sep 10 08:31:31 jweiss abrt[7032]: size of '/var/spool/abrt' >= 1250 MB, deleting 'ccpp-1284034813-29674'
Sep 10 08:31:31 jweiss abrtd: Lock file '/var/spool/abrt/ccpp-1284034813-29674.lock' is locked by process 7032
Sep 10 08:31:32 jweiss kernel: br0: port 2(vnet0) entering disabled state
Sep 10 08:31:32 jweiss kernel: device vnet0 left promiscuous mode
Sep 10 08:31:32 jweiss kernel: br0: port 2(vnet0) entering disabled state
Sep 10 08:31:32 jweiss abrtd: New crash /var/spool/abrt/ccpp-1284121873-26350, processing
Sep 10 08:31:32 jweiss abrtd: RunApp('/var/spool/abrt/ccpp-1284121873-26350','test x"`cat component`" = x"xorg-x11-server-Xorg" && cp /var/log/Xorg.0.log .')
Sep 10 08:31:33 jweiss ntpd[1570]: Deleting interface #9 vnet0, fe80::e020:a1ff:fe5c:8519#123, interface stats: received=0, sent=0, dropped=0, active_time=87053 secs
Comment 1 Bug Zapper 2011-05-31 09:54:08 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-28 09:04:54 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.